Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.finder
Class ClassFinder.ClassInfo

    java.lang.Object
      com.opensymphony.xwork2.util.finder.ClassFinder.Annotatable
          com.opensymphony.xwork2.util.finder.ClassFinder.ClassInfo

All Implemented Interfaces:
  ClassFinder.Info

Enclosing class:
  ClassFinder

    public class ClassFinder.ClassInfo

extends ClassFinder.Annotatable
implements ClassFinder.Info

Constructor Summary
`ClassFinder.ClassInfo(java.lang.Class clazz)`
`ClassFinder.ClassInfo(java.lang.String name, java.lang.String superType)`

Method Summary
`java.lang.Class` | `get()`
`java.util.List<ClassFinder.MethodInfo>` | `getConstructors()`
`java.util.List<ClassFinder.FieldInfo>` | `getFields()`
`java.util.List<java.lang.String>` | `getInterfaces()`
`java.util.List<ClassFinder.MethodInfo>` | `getMethods()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPackageName()`
`java.util.List<java.lang.String>` | `getSuperInterfaces()`
`java.lang.String` | `getSuperType()`
`java.lang.String` | `toString()`

Methods inherited from class com.opensymphony.xwork2.util.finder.ClassFinder.Annotatable
`getAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.util.finder.ClassFinder.Info
`getAnnotations`

Constructor Detail

### ClassFinder.ClassInfo

    public ClassFinder.ClassInfo(java.lang.Class clazz)

### ClassFinder.ClassInfo

    public ClassFinder.ClassInfo(java.lang.String name,
                                 java.lang.String superType)

Method Detail

### getPackageName

    public java.lang.String getPackageName()

### getConstructors

    public java.util.List<ClassFinder.MethodInfo> getConstructors()

### getInterfaces

    public java.util.List<java.lang.String> getInterfaces()

### getSuperInterfaces

    public java.util.List<java.lang.String> getSuperInterfaces()

### getFields

    public java.util.List<ClassFinder.FieldInfo> getFields()

### getMethods

    public java.util.List<ClassFinder.MethodInfo> getMethods()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ClassFinder.Info`

### getSuperType

    public java.lang.String getSuperType()

### get

    public java.lang.Class get()
                        throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.